
Eina_Error _efl_file_mmap_set(Eo *obj, Efl_File_Data *pd, const Eina_File *f);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_file_mmap_set, Eina_Error, 0, EFL_FUNC_CALL(f), const Eina_File *f);

const Eina_File *_efl_file_mmap_get(const Eo *obj, Efl_File_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_file_mmap_get, const Eina_File *, NULL);

Eina_Error _efl_file_file_set(Eo *obj, Efl_File_Data *pd, const char *file);


static Eina_Error
__eolian_efl_file_file_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_file_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_file_set, Eina_Error, 0, EFL_FUNC_CALL(file), const char *file);

const char *_efl_file_file_get(const Eo *obj, Efl_File_Data *pd);


static Eina_Value
__eolian_efl_file_file_get_reflect(const Eo *obj)
{
   const char *val = efl_file_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_file_get, const char *, NULL);

void _efl_file_key_set(Eo *obj, Efl_File_Data *pd, const char *key);


static Eina_Error
__eolian_efl_file_key_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_file_key_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_file_key_set, EFL_FUNC_CALL(key), const char *key);

const char *_efl_file_key_get(const Eo *obj, Efl_File_Data *pd);


static Eina_Value
__eolian_efl_file_key_get_reflect(const Eo *obj)
{
   const char *val = efl_file_key_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_file_key_get, const char *, NULL);

Eina_Bool _efl_file_loaded_get(const Eo *obj, Efl_File_Data *pd);


static Eina_Value
__eolian_efl_file_loaded_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_file_loaded_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_file_loaded_get, Eina_Bool, 0);

Eina_Error _efl_file_load(Eo *obj, Efl_File_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY(efl_file_load, Eina_Error, 0);

void _efl_file_unload(Eo *obj, Efl_File_Data *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_file_unload);

void _efl_file_efl_object_destructor(Eo *obj, Efl_File_Data *pd);


Efl_Object *_efl_file_efl_object_finalize(Eo *obj, Efl_File_Data *pd);


static Eina_Bool
_efl_file_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_FILE_EXTRA_OPS
#define EFL_FILE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_file_mmap_set, _efl_file_mmap_set),
      EFL_OBJECT_OP_FUNC(efl_file_mmap_get, _efl_file_mmap_get),
      EFL_OBJECT_OP_FUNC(efl_file_set, _efl_file_file_set),
      EFL_OBJECT_OP_FUNC(efl_file_get, _efl_file_file_get),
      EFL_OBJECT_OP_FUNC(efl_file_key_set, _efl_file_key_set),
      EFL_OBJECT_OP_FUNC(efl_file_key_get, _efl_file_key_get),
      EFL_OBJECT_OP_FUNC(efl_file_loaded_get, _efl_file_loaded_get),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_file_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_file_efl_object_finalize),
      EFL_FILE_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"file", __eolian_efl_file_file_set_reflect, __eolian_efl_file_file_get_reflect},
      {"key", __eolian_efl_file_key_set_reflect, __eolian_efl_file_key_get_reflect},
      {"loaded", NULL, __eolian_efl_file_loaded_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_file_class_desc = {
   EO_VERSION,
   "Efl.File",
   EFL_CLASS_TYPE_MIXIN,
   sizeof(Efl_File_Data),
   _efl_file_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_file_mixin_get, &_efl_file_class_desc, NULL, NULL);
